package genj.app;



import genj.util.ImgIcon;/**
 * Class which autoloads all images needed by this package
 */
final public class Images {

  private static Images instance = new Images();

  public static ImgIcon
	imgDelEntity,
	imgNewFam,
	imgNewSource,
	imgStickOn,
	imgGedcom,
	imgNewIndi,
	imgNewSubmitter,
	imgUndo,
	imgNewMedia,
	imgNewTable,
	imgNewTimeline,
	imgNewNote,
	imgNewTree,
	imgNewEdit,
	imgNewReport,
	imgStickOff,
	imgSettings,
	imgPrint;

  /**
   * Constructor which pre-loads all images
   */
  private Images() {

	imgDelEntity    = new ImgIcon(this,"images/DelEntity.gif");
	imgNewFam       = new ImgIcon(this,"images/NewFam.gif");
	imgNewSource    = new ImgIcon(this,"images/NewSource.gif");
	imgStickOn      = new ImgIcon(this,"images/StickOn.gif");
	imgGedcom       = new ImgIcon(this,"images/Gedcom.gif");
	imgNewIndi      = new ImgIcon(this,"images/NewIndi.gif");
	imgNewSubmitter = new ImgIcon(this,"images/NewSubmitter.gif");
	imgUndo         = new ImgIcon(this,"images/Undo.gif");
	imgNewMedia     = new ImgIcon(this,"images/NewMedia.gif");
	imgNewTable     = new ImgIcon(this,"images/NewTable.gif");
	imgNewTimeline  = new ImgIcon(this,"images/NewTimeline.gif");
	imgNewNote      = new ImgIcon(this,"images/NewNote.gif");
	imgNewTree      = new ImgIcon(this,"images/NewTree.gif");
	imgNewEdit      = new ImgIcon(this,"images/NewEdit.gif");
	imgNewReport    = new ImgIcon(this,"images/NewReport.gif");
	imgStickOff     = new ImgIcon(this,"images/StickOff.gif");
	imgSettings     = new ImgIcon(this,"images/Settings.gif");
	imgPrint        = new ImgIcon(this,"images/Print.gif");

  }      
}