package genj.edit;

import java.awt.Dimension;

/**
 * Helper for bugged JTextField which reports maximum size of Integer.MAX_VALUE
 */
class JTextField extends javax.swing.JTextField {

   public JTextField() {
	 super();
   }         
   public JTextField(int i) {
	 super(i);
   }         
   public JTextField(String s) {
	 super(s);
   }         
   public JTextField(String s, int i) {
	 super(s,i);
   }         
   public Dimension getMaximumSize() {
	 return new Dimension(Integer.MAX_VALUE,getPreferredSize().height);
   }         
}