package genj.gedcom;



import genj.util.*;/**
 * Class for encapsulating a family in property
 */
public abstract class PropertyFam extends Property {
	
  /**
   * Adds all default properties to this property
   */
  public void addDefaultProperties() {
	addProperty(new PropertyEvent("MARR")); 
  }        
  public static ImgIcon getDefaultImage() {
	return Images.imgFam;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  /**
	Returns the logical name of the proxy-object which knows this object
  */
  public String getProxy() { 
	return "Entity";
  }      
  /**
   * Returns the name of the proxy-object which knows properties looked
   * up by TagPath
   * @return proxy's logical name
   */
  public static String getProxy(TagPath path) {
	return "Entity"; 
  }      
  public String getTag() { 
	return "FAM"; 
  }      
  public String getValue() {
	return "";
  }      
  public boolean setValue(String value) {
	return false;
  }      
}