package genj.gedcom;

import java.util.Vector; 

 
import genj.util.*;/**
 * Gedcom property which constitutes a Place
 */
public class PropertyPlace extends Property {

	private String place;
	
  /**
	Constructor of place Gedcom-line 
  */
  public PropertyPlace() { 
  }      
  /**
	Constructor of place Gedcom-line
  */
  public PropertyPlace(String value) {
	setValue(value);
  }      
  /**
	Constructor of place Gedcom-line
  */
  public PropertyPlace(String tag, String value) {
	setValue(value);
  }      
  public static ImgIcon getDefaultImage() {
	return Images.imgPlace;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  public String getTag() {
	return "PLAC";
  }      
  public String getValue() {
	return place;
  }      
  public boolean setValue(String value) {
	noteModifiedProperty();
	place=value;
	// Done
	return true;
  }      
}