package genj.report;

import java.io.*;

import java.util.Date;/**
 * Class ReportWriter
 */
public class ReportWriter {

	private StringBuffer buffer = new StringBuffer(16*1024);
	private ReportView   report;

  
  void log(Exception e) {
	CharArrayWriter awriter = new CharArrayWriter(256);
	e.printStackTrace(new PrintWriter(awriter));
	append(awriter.toString());
  }              
void log(String s) {
	append(s);
}          
/**
 * Append a new line
 */
public void println() throws InterruptedException {
	println("");
}            
/**
 * Write a String
 */
public void println(String s) throws InterruptedException {

	// Our hook into checking for Interrupt
	if (report.isInterrupted())
		throw new InterruptedException("Operation interrupted");

	// Append it
	append(s);

	// Done
}            
  
	private final static long FLUSH_WAIT = 100;	private long         last = -1;  ReportWriter(ReportView report) {
	this.report = report;
  }      /**
 * Appends text to this Writer
 */
private void append(String s) {
	
	// Remember it
	buffer.append(s+"\n");

	// Time for a display?
	if (new Date().getTime()-last > FLUSH_WAIT) {
		flush();
	} 

	// FIXME : this is only for green threads
	Thread.yield();
}

/**
 * Flushes any uncommitted data from this writer
 */
public void flush() {

	last = new Date().getTime();
	report.addOutput(buffer.toString());
	buffer.setLength(0);
	
}}