package genj.table;



import java.awt.*;


 
import awtx.table.*;import genj.gedcom.*;import genj.util.ImgIcon;/** 
 * Proxy for rendering gedcom-property SEX in table view
 */
public class ProxySex implements CellRenderer {

  public void render(Graphics g, Rectangle rect, Object o, FontMetrics fm) {

	// Object?
	if (o==null)
	  return;

	ImgIcon icon;

	switch (((PropertySex)o).getSex()) {
	  default:
		return;
	  case Gedcom.MALE:
		icon = PropertySex.getDefaultImage(Gedcom.MALE);
		break;
	  case Gedcom.FEMALE:
		icon = PropertySex.getDefaultImage(Gedcom.FEMALE);
		break;
	}

	g.drawImage(
	  icon.getImage(),
	  rect.x+rect.width /2-icon.getIconWidth ()/2,
	  rect.y+rect.height/2-icon.getIconHeight()/2,
	  null
	);

	// Done
  }      
}