package genj.tree;



import genj.gedcom.*;/**
 * Class for bookmarking entity with name
 */
public class Bookmark {

  private Entity entity;
  private String name;

  /**
   * Constructor
   * @param entity entity to bookmar
   * @param name logical name of bookmark
   */
  Bookmark(Entity entity, String name) {
	this.entity=entity;
	this.name  =name  ;
  }      
  /**
   * Returns bookmarked entity
   */
  public Entity getEntity() {
	return entity;
  }      
  /**
   * Returns bookmark's name
   */
  public String getName() {
	return name;
  }      
  /**
   * This bookmark as a string
   */
  public String toString() {
	return getName();
  }      
}