package genj.tree;



import genj.util.ImgIcon;/**
 * Class which autoloads all images needed by this package
 */
final class Images {

  private static Images instance = new Images();

  static ImgIcon
	imgMinus,
	imgPlus,
	imgMore,
	imgStickOn,
	imgStickOff,
	imgIndisFields,
	imgFamsFields,
	imgOverview;

  /**
   * Constructor which pre-loads all images
   */
  private Images() {

	imgMinus       = new ImgIcon(this,"images/Minus.gif"      );
	imgPlus        = new ImgIcon(this,"images/Plus.gif"       );
	imgMore        = new ImgIcon(this,"images/More.gif"       );
	imgStickOn     = new ImgIcon(this,"images/StickOn.gif"    );
	imgStickOff    = new ImgIcon(this,"images/StickOff.gif"   );
	imgIndisFields = new ImgIcon(this,"images/IndisFields.gif");
	imgFamsFields  = new ImgIcon(this,"images/FamsFields.gif" );
	imgOverview    = new ImgIcon(this,"images/Overview.gif"   );
  }      
}