package genj.tree;

import java.awt.*; 
 

import genj.gedcom.*;/**
 * Class that encapsulates a NAME property path
 */
class ProxyName extends Proxy {

  /**
   * Renders a PropertyName in a tree
   */
  void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {

	// Prepare graphics
	g.setColor(Color.black);

	// Prepare data
	PropertyName name = (PropertyName)p;
	String s = name.getLastName() + "," + name.getFirstName();

	// ... too Wide ?
	boolean breakline=false;
	if ((g.getWidth(s)>box.width)&&(box.height>=g.charHeight*2)) {
	  s = name.getLastName() + ",";
	  breakline=true;
	}

	// Draw content
	int x = box.x,
		y = box.y+g.charHeight-g.charDescent;
	g.drawString(s,dit,pig,x,y);

	if (breakline)
	  g.drawString(name.getFirstName(),dit,pig,x,y+g.charHeight);


	// Done
  }      
}