package genj.edit;

import javax.swing.*;
import java.awt.*;
import java.util.Vector;



import genj.gedcom.Property;import genj.util.*;/** 
	Proxy (abstract) for editing GEDCOM-Properties 
*/ 
abstract class Proxy  {

  protected Property         prop;

  /**
   * Stop editing a property through proxy. Return <b>true</b>
   * in case that sub-properties have been created/removed.
   */
  protected abstract void finish();      
  /**
   * Returns change state of proxy
   */
  protected abstract boolean hasChanged();      
  
  /**
   * Start editing a property through proxy
   */
  protected abstract void start(JPanel in, JLabel setLabel, Property setProp, EditView edit);      }