package genj.gedcom;

import java.util.Vector; 


import genj.util.*;/**
 * Gedcom property which constitutes a City
 */
public class PropertyCity extends Property {

  private String city;
  
  /**
	Constructor of city Gedcom-line
  */
  public PropertyCity(String city) {
	this.city=city;
  }      
  /**
	Constructor of city Gedcom-line
  */
  public PropertyCity(String tag, String value) {
	setValue(value);
  }      
  public static ImgIcon getDefaultImage() {
	return Images.imgPlace;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  public String getTag() {
	return "CITY";
  }      
  public String getValue() {
	return(city);
  }      
  public boolean setValue(String value) {
	noteModifiedProperty();
	city=value;
	return true;
  }      
}