package genj.gedcom;

import java.util.Vector; 


import genj.util.*;/**
 * Gedcom property which constitutes a Continuation
 */
public class PropertyContinuation extends Property {

  private String cont;
  
  /**
   * Constructor
   */
  public PropertyContinuation(String cont) {
	this.cont=cont;
  }      
  /**
   * Constructor
   */
  public PropertyContinuation(String tag, String value) {
	setValue(value); 
  }      
  public static ImgIcon getDefaultImage() {
	return Images.imgCont;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  public String getTag() {
	return "CONT";
  }      
  public String getValue() {
	return cont;
  }      
  public boolean setValue(String value) {
	noteModifiedProperty();
	cont=value;
	return true;
  }      
}