package genj.gedcom;

/**
 * This XRef is for pointing back to XRefs in case
 * Gedcom does only support uni-direction
 */
public class PropertyForeignXRef extends PropertyXRef {
/**
 * Constructor with reference
 */
public PropertyForeignXRef(PropertyXRef target) {
	super(target);
}

/**
 * getTag method comment.
 */
public String getTag() {
	throw new RuntimeException("getTag is not support by ForeignXRefs");
}
/**
 * getValue method comment.
 */
public String getValue() {
	throw new RuntimeException("getValue is not support by ForeignXRefs");
}
/**
 * Marks this Property as being invisible
 */
public boolean isVisible() {
	return false;
}
/**
 * link method comment.
 */
public void link() {
	throw new RuntimeException("link is not support by ForeignXRefs");
}
/**
 * setValue method comment.
 */
public boolean setValue(String newValue) {
	throw new RuntimeException("setValue is not support by ForeignXRefs");
}
/**
 * getImage method comment.
 */
public genj.util.ImgIcon getImage(boolean checkValid) {
	throw new RuntimeException("getImage is not support by ForeignXRefs");
}}