package genj.gedcom;

import java.util.Vector; 

 
import genj.util.*;/**
  Gedcom property which constitutes a Postcal Code
*/
public class PropertyPostalCode extends Property {

  private String code;
  
  /**
	Constructor of code Gedcom-line 
  */
  public PropertyPostalCode() { 
  }      
  /**
	Constructor of code Gedcom-line
  */
  public PropertyPostalCode(String value) {
	setValue(value);
  }      
  /**
	Constructor of code Gedcom-line
  */
  public PropertyPostalCode(String tag, String value) {
	setValue(value);
  }      
  public static ImgIcon getDefaultImage() {
	return Images.imgCode;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  public String getTag() {
	return "POST";
  }      
  public String getValue() {
	return code;
  }      
  public boolean setValue(String value) {
	noteModifiedProperty();
	code=value;
	// Done
	return true;
  }      
}