package genj.gedcom;


 
import genj.util.*;/** 
 * Class for encapsulating a submitter as property
 */ 
public abstract class PropertySubmitter extends Property {

  public static ImgIcon getDefaultImage() {
	return Images.imgSubmitter;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  /**
   * Returns the logical name of the proxy-object which knows this object
   */
  public String getProxy() { 
	return "Entity";
  }      
  /**
   * Returns the name of the proxy-object which knows properties looked
   * up by TagPath
   * @return proxy's logical name
   */
  public static String getProxy(TagPath path) {
	return "Entity";
  }      
  public String getTag() { 
	return "SUBM";
  }      
  public String getValue() {
	return "";
  }      
  public boolean setValue(String value) {
	return false;
  }      
}