package genj.gedcom;

import java.util.*; 


import genj.util.*;/*
  Gedcom property which constitutes an unknown property
*/
public class PropertyUnknown extends Property {
  
  String tag;
  String value;

  /**
	Constructor of unknown Gedcom-line
  */
  public PropertyUnknown(String tag, String value) {
	setValue(value);
	this.tag = tag;
  }      
  public static ImgIcon getDefaultImage() {
	return Images.imgQuestion;
  }      
  public ImgIcon getImage(boolean checkValid) {
	return getDefaultImage();
  }      
  /**
   * Returns some explanationary information about this property.
   * Here not known.
   */
  public String getInfo() {
	return "";
  }        
  public String getTag() {
	return tag;
  }      
  public String getValue() {
	return value;
  }      
  public boolean setValue(String value) {
	noteModifiedProperty();
	this.value=value;
	// Done
	return true;
  }      
}