package genj.option;

import javax.swing.*;
import java.awt.*;




import genj.util.*;import genj.gedcom.*;/**
 * Base class for all masks creating entities
 */
abstract class MaskForNewEntity {

	protected Frame frame;

  /**
   * Initiates entity's creation
   */
  abstract boolean createIn(Gedcom gedcom);      
  /**
   * Returns the data-page for entity
   */
  abstract JPanel getDataPage();      
  /**
   * Returns the data-page for entity
   */
  abstract JPanel getRelationPage(JComponent firstRow);      
  
/**
 * Remembers the given frame this mask is shown in
 */
void setFrame(Frame f) {
	frame = f;
}
  /**
   * Sets mask's entity
   */
  abstract void handleContextChange(Gedcom gedcom);      }