package genj.tool;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;






import genj.gedcom.*;import genj.util.*;import genj.app.*;/**
 * Options for Verifying Gedcoms
 */
public class OptionsPanel extends JPanel {

  private Transaction transaction;
  private JCheckBox[] cbOptions;

  /**
   * Constructor
   */
  public OptionsPanel(Transaction transaction,String header,String[][] options) {

	this.transaction = transaction;

	// Prepare layout
	setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));

	// Prepare options
	add(new JLabel(header));

	cbOptions = new JCheckBox[options.length];

	for (int o=0;o<options.length;o++) {

	  // .. create component
	  JCheckBox jcb = new JCheckBox();
	  jcb.setText       (            options[o][0]  );
	  jcb.setToolTipText(            options[o][1]  );
	  jcb.setEnabled    ( "1".equals(options[o][2]) );
	  jcb.setSelected   ( "1".equals(options[o][3]) );

	  // .. add it
	  cbOptions[o] = jcb;
	  add(jcb);

	  // .. next
	}

	// Done
  }      
  /**
   * Return state of options
   */
  public boolean[] getState() {

	boolean[] result = new boolean[cbOptions.length];
	for (int j=0;j<cbOptions.length;j++)
	  result[j] = cbOptions[j].isSelected();

	return result;
  }      
}