package genj.tree;

import java.awt.*; 


import genj.gedcom.*;/**
 * Class that encapsulates a Link to an individual
 */
class LinkToIndi extends Link {

  /**
   * Constructor for LinkToIndi
   */
  LinkToIndi(int setDepthInTree,int setPosInGen,Indi setIndi) {
	// Inherited
	super(setDepthInTree,setPosInGen,setIndi);
	// Done
  }      
  /**
   * Action for click on PlusMinus
   */
  void clickIn(TreeModel model) {
	model.setActual( this );
  }      
  /**
   * Action for doubleclick on PlusMinus
   */
  void dclickIn(TreeModel model) {	
	model.setRoot( getEntity() );
  }      
  /**
   * Returns proxies for this link
   */
  Proxy[] getProxies(TreeGraphics tg) {
	return tg.indisProxies;
  }      
  /**
   * Returns the pixel size in tree
   */
  Dimension getSize(TreeModel model) {
	return model.getSize(Gedcom.INDIVIDUALS);
  }      
  /**
   * Overridden shadow test method for INDIs
   */
  boolean isShadow(TreeGraphics tg) {
	return tg.isShadow;
  }      
}