package genj.tree;

import java.awt.*;



import genj.util.*;import genj.gedcom.*;/**
 * Class that encapsulates a BLOB property path
 */
class ProxyBlob extends Proxy {

  /**
   * Renders a PropertyBlob in a tree
   */
  void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {

	// Content?
	PropertyBlob blob = (PropertyBlob)p;
	ImgIcon icon = blob.getValueAsIcon();
	if (icon==null)
	  return;
	
	// Draw content
	g.drawBlob(icon,dit,pig,box.getLocation());

	// Done                     
  }      
}