package genj.tree;

import java.awt.*; 
 

import genj.gedcom.*;/**
 * Class that encapsulates a DATE property path
 */
class ProxyDate extends Proxy {

  /**
   * Renders a PropertyDate in a tree
   */
  void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {
	
	PropertyDate date = (PropertyDate)p;

	// Prepare    
	String txt;
	String attrib1 = date.getAttribute(0),
		   attrib2 = date.getAttribute(1);

	g.setColor(Color.black);
					  
	// Draw 1st line of date
	txt = (attrib1 == null ? "" : attrib1 + " ") + date.toString(0);
	
	g.drawString(
	  txt,
	  dit,
	  pig,
	  box.x,
	  box.y+g.charHeight-g.charDescent
	);

	// Draw 2nd line of date
	if (attrib2==null)
	  return;
	  
	txt = attrib2 + " " + date.toString(1);
	g.drawString(
	  txt,
	  dit,
	  pig,
	  box.x,
	  box.y + 2*g.charHeight - g.charDescent
	);
	
	// Done                     
  }      
}