package genj.tree;

import java.awt.*; 
 

import genj.gedcom.*;import java.util.*;/**
 * Class that encapsulates an MLE property path
 */
class ProxyMLE extends Proxy {

/**
 * Renders a Property in a tree
 */
void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {

	g.setColor(Color.black);
	
	// Really multiline?
	Property.LineIterator lines = p.getLineIterator();
	if (lines == null) {
	  
		// Get value
		String s = p.getValue();
		if (s==null)
			return;
  
		// Draw content
		g.drawString(s,dit,pig,box.x,box.y+g.charHeight-g.charDescent);

	} else {

		int y = box.y;
		while (lines.hasMoreValues()) {
			String line = lines.getNextValue();
			g.drawString(line,dit,pig,box.x,y+g.charHeight-g.charDescent);
			y += g.charHeight;
		}
	}

	// Done                     

}  
}