package genj.tree;

import java.awt.*; 
 

import genj.gedcom.*;/**
 * Class that encapsulates an unknown property path
 */
class ProxyUnknown extends Proxy {

  /**
   * Renders a UnknownProperty in a tree
   */
  void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {

	// Get value
	String s = p.getValue();
	if (s==null)
	  return;
  
	// Draw content
	g.setColor(Color.black);
	g.drawString(
	  s,
	  dit,
	  pig,
	  box.x,
	  box.y + g.charHeight - g.charDescent
	);

	// Done                     
  
  }      
}