package genj.tree;

import java.awt.*; 

 


import genj.util.*;import genj.gedcom.*;/**
 * Class that encapsulates a property which points to an entity
 */
class ProxyXRef extends Proxy {

  /**
   * Renders a PropertyXRef in a tree
   */
  void renderSpecific(Property p, int dit, int pig, Rectangle box, TreeGraphics g) {

	// Get value
	String s = p.toString();
	if (s==null)
	  return;
	ImgIcon img = p.getImage(false);
  
	// Draw content
	g.setColor(Color.black);
	g.drawString(
	  s,
	  dit,pig,
	  box.x + img.getIconWidth() + 4,
	  box.y + g.charHeight - g.charDescent
	);

	g.drawImage(img,dit,pig,box.getLocation());

	// Done                     
  
  }      
}