package genj.tree;



import java.util.Vector;

import genj.gedcom.*;/**
 * Listener Interface for TreeModel
 */
public interface TreeModelListener {

  /**
   * Notification in case actual link has changed
   */
  public void handleActualChanged(Link oldActual, Link newActual);      
  /**
   * Notification in case data and not structure of model has changed
   */
  public void handleDataChanged();      
  /**
   * Notification in case entities have changed without change in layout
   * A listener can use iterate to do actions on links to that entities.
   */
  public void handleEntitiesChanged(Vector changed);      
  /**
   * Notification in case structure of model has changed
   */
  public void handleStructureChanged();      
}