package genj.util;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Class which provides some static helpers for menu-handling
 */
public class MenuHelper  {

  /**
   * Helper that adds a menu item to a menu
   */
  static public JMenuItem addMenuItem(JMenu menu, String txt, String action, ImageIcon img, JMenuItem mi, ActionListener listener) {

	if (img!=null)
	  mi.setIcon(img);
	if (txt!=null)
	  mi.setText(txt);
	mi.setActionCommand(action);
	mi.addActionListener(listener);
	mi.setHorizontalTextPosition(AbstractButton.RIGHT);
	menu.add(mi);

	return mi;
  }      
}